@echo off

call ./build-all.bat
echo.

rd /s /q gateway
xcopy ..\..\..\Server\gateway\config\config.prod.yaml gateway\config\ >nul
xcopy ..\..\..\Server\gateway\Dockerfile gateway\ >nul
move ..\..\..\Server\server-gateway gateway\ >nul
echo [INFO] Copy gateway finished.

rd /s /q scene
xcopy ..\..\..\Server\scene\config\config.prod.yaml scene\config\ >nul
xcopy ..\..\..\Server\scene\Dockerfile scene\ >nul
move ..\..\..\Server\server-scene scene\ >nul
echo [INFO] Copy scene finished.

rd /s /q user
xcopy ..\..\..\Server\user\config\config.prod.yaml user\config\ >nul
xcopy ..\..\..\Server\user\Dockerfile user\ >nul
move ..\..\..\Server\server-user user\ >nul
echo [INFO] Copy user finished.

echo.
pause